# H248_DigitMapDescriptor Class Reference

`#include <h248.h>`

Inheritance diagram for H248_DigitMapDescriptor:

List of all members.

## Public Types

enum | OptionalFields { e_digitMapName, e_digitMapValue }

## Public Member Functions

| H248_DigitMapDescriptor (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_DigitMapName | m_digitMapName
H248_DigitMapValue | m_digitMapValue

## Member Enumeration Documentation

enum H248_DigitMapDescriptor::OptionalFields

Enumerator:

  e_digitMapName |
  e_digitMapValue |

## Constructor & Destructor Documentation

H248_DigitMapDescriptor::H248_DigitMapDescriptor | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_DigitMapDescriptor::GetDataLength | ( |  | ) | const

PBoolean H248_DigitMapDescriptor::Decode | ( | PASN_Stream & | strm | ) |

void H248_DigitMapDescriptor::Encode | ( | PASN_Stream & | strm | ) | const

void H248_DigitMapDescriptor::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_DigitMapDescriptor::Compare | ( | const PObject & | obj | ) | const

PObject* H248_DigitMapDescriptor::Clone | ( |  | ) | const

## Member Data Documentation

H248_DigitMapName H248_DigitMapDescriptor::m_digitMapName

H248_DigitMapValue H248_DigitMapDescriptor::m_digitMapValue

The documentation for this class was generated from the following file:

- h248.h